#include "ptz_common.h"
#include "ptz_driver.h"
#include "drivers_common.h"
#include "common.h"
#include "modules_common.h"
#include "devcontrol_common.h"
#include "gpio_common.h"

void device_ptz_pwm_task_threadpoll_init()
{
    my_zlog_info("PTZ_pwm_thread_init start");
    g_pool_device_gpio_control_t = thread_pool_init(1, 1);
    thread_pool_add_task(g_pool_device_gpio_control_t, ptz_driver_task_function, NULL);
    my_zlog_info("PTZ_thread_init %d success", g_device_type);
}
